//=============================================================================
// GEO's Remove Battle Fade Out
//=============================================================================

//=============================================================================
 /*:
 * @plugindesc
 * 
 * This removes the fadein/fadeout RPG MAKER MV Does when starting a battle.
 *@help
 
 *For exemplary usage, say that you want to keep pictures when starting a battle-
 *You display the images right before the battle processing, and while keeping in mind it's ID,
 *You then head to the troop page of the battle and manipulate the image by it's ID that was set
 *Pre-battle by any method. (For Example, if you want to fade it out right at the start of the battle,
 *you set the troop's condition to turn 0 as usual and then when it's ran, it'll manipulate the image.)
 *
 *Use the "$gameTemp._disableBattleFadeOut = true;" in order to activate the plugin's function! 
 *
 */
//=============================================================================

var beesList = beesList || {}; beesList.battlefade = beesList.battlefade || {};

beesList.battlefade._oldstart = Scene_Battle.prototype.start
Scene_Battle.prototype.start = function() {
	if ($gameTemp._disableBattleFadeOut) {
		var screenpicLength = $gameScreen._pictures.length
        for (let i = 0; i < screenpicLength; i++) {
         if ($gameScreen._pictures[i]) { $gameScreen._pictures[i]._index = i }
        }
		this._defaultStart();
		for (let i = 0; i < screenpicLength; i++) {
         var pic = $gameScreen._pictures[i]
		 if (!pic) { continue; };
		 var picname = pic._name.startsWith("bt") || pic._name.startsWith("battle_transition") || pic._name.startsWith("dark_overlay") || pic._name === "humphrey_border"
         if (picname) { $gameScreen.showPicture(pic._index, pic._name, pic._origin, pic._x, pic._y, pic._scaleX, pic._scaleY, pic._opacity, pic._blendMode); }
        }
		// Tint Manager;
		if(!$gameTroop.waitForEmotion() && !$gameTroop.areSummonTroops()) {this.setStartTint();}
		this._helpWindow.hide();
		$gameTemp.reserveCommonEvent(1730);
		return $gameTemp._disableBattleFadeOut = undefined;	
		}
	beesList.battlefade._oldstart.call(this);		
};

beesList.battlefade._oldbattleterminate = Scene_Battle.prototype.terminate
Scene_Battle.prototype.terminate = function() {
  beesList.battlefade._oldbattleterminate.call(this);
  var screenpicLength = $gameScreen._pictures.length
  for (let i = 0; i < screenpicLength; i++) {
     var pic = $gameScreen._pictures[i]
      if (!pic) { continue; };
	   var picname = pic._name.startsWith("bt") || pic._name.startsWith("battle_transition") || pic._name === "humphrey_border"
       if (picname) { $gameScreen.erasePicture(pic._index); }
        }
};